Subject: Re: Joint project with Git for outreachy

From: Emily Shaffer <[email-masked]>
Date: Sun, 20 Sep 2020 09:17:30 -0700

On Sat, Sep 19, 2020 at 03:36:23PM -0700, Junio C Hamano wrote:
> 
> "brian m. carlson" <[email-masked]> writes:
> 
> > On 2020-09-19 at 09:12:53, ronnie sahlberg wrote:
> >> Hi Jonathan,
> >> Hi Emily
> >> 
> >> Emily, you want to contribute to wireshark? That is awesome. I think I
> >> speak for everyone to send a HUGE welcome
> >> your way and hope your experience working on and with wireshark be excellent!
> >
> > I think there's been a misunderstanding.  I think the proposal was to
> > have Emily and Jonathan, who are both significant contributors to Git,
> > doing the mentoring from the Git side, along with someone from the
> > Wireshark side.  I don't think we know yet if anyone will be interested
> > in working on it, but it seems from the response to be a proposal that
> > has interest in both projects.
> >
> > Feel free to correct me if I've misunderstood.
> 
> That matches my understanding.

Right - brian and Junio are correct, I'm hoping to co-mentor with
Jonathan. Ronnie, I'm really pleased to see this warm welcome, which
makes me optimistic about the kind of experience an intern would have on
this project. It would be really great if we could get a volunteer to
serve as point-of-contact if the mentee is not sure about something
they want to send to the Wireshark list, and possibly to come to an
introductory real-time chat (video/voice/IM) to provide a little
overview and nudge in the right direction.

It sounds to me like we have enough enthusiasm to put this project on
the list, though - if I understood my conversation with Jonathan last
week he's planning to add that. Feel free to correct me :)

Thanks, Ronnie and Richard!

> > > (
> > > Jonathan, remember that smb2 client I was working on, libamb2?  I got
> > > it to run on PlayStation2 now. It is totally awesome being able to use
> > > SMB3.1.1 and full encryption to copy file between the PS2 memory card
> > > and Azure cloud file server :-)
> > > )

(This actually sounds awesome. Got a repo or blog post up somewhere?)

 - Emily